Skip to main content
GET
/
lookup
/
bonds
/
cost
Get all bond costs
curl --request GET \
  --url https://api.etherfuse.com/lookup/bonds/cost
{
  "CETES7CKqqKQizuSN6iWQwmTeFRjbJR6Vw2XRKfEDR8f": {
    "bond_cost_in_payment_token": "1.153754",
    "bond_cost_in_usd": "0.064785",
    "fiat_exchange_rate_with_usd": "17.80900",
    "bond_cost_in_fiat": "1.153754",
    "current_basis_points": 578,
    "bond_symbol": "CETES",
    "currency": "MXN",
    "current_time": "2026-03-23T16:50:32.821673099+00:00",
    "mint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
    "symbol": "USDC",
    "sources": {
      "provider_1": {
        "exchange_rate": "17.81",
        "bond_cost_in_usd": "0.064781",
        "updated_at": 1711212632
      },
      "provider_2": {
        "exchange_rate": "17.79",
        "bond_cost_in_usd": "0.064854",
        "updated_at": 1711212630
      }
    }
  }
}

Query Parameters

max_age
integer

Maximum age of a source in seconds. Sources older than this are excluded from the sources map. When omitted, all sources are returned.

Response

Bond costs retrieved successfully

{key}
object